Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 104409 - [Code completion] Do not display 'Press Ctrl+Space again..'
[Code completion] Do not display 'Press Ctrl+Space again..'
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 13:42 UTC by Max Sauer
Modified: 2007-11-05 13:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed change (7.02 KB, patch)
2007-06-20 09:57 UTC, Dusan Balek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Sauer 2007-05-21 13:42:52 UTC
Please do not display 'Press Ctrl+Space again for all items' when showing CC for
javascript, since there are no undisplayed items after first CC usage (unlike in
java CC).

---
NetBeans IDE Dev (Build 070521)
1.6.0_02-ea; Java HotSpot(TM) Client VM 1.6.0_02-ea-b02
Linux version 2.6.12-1.1390_FC4smp running on i386
en_US (nb); UTF-8
Comment 1 Jan Jancura 2007-05-23 14:08:32 UTC
There is no way how to remove this message.
Comment 2 Vitezslav Stejskal 2007-06-18 04:56:09 UTC
Dusane, can we do that with the existing API? Does CC know that the items from the first query are *all* items and that
there is no point in running the second query to get more? In other words is it the CC what needs fixing or javascript
module? Thanks
Comment 3 Dusan Balek 2007-06-18 08:54:47 UTC
I'm afraid that we need a small API change to achieve this. I will discuss it with Mila.
Comment 4 Dusan Balek 2007-06-20 09:57:28 UTC
Created attachment 44023 [details]
Proposed change
Comment 5 Dusan Balek 2007-06-20 10:00:41 UTC
I would like to propose a small change to the editor/completion API (diff is attached).
Comment 6 Vitezslav Stejskal 2007-06-25 14:23:21 UTC
Looks ok to me. One little thing you might want to consider is using a different name for the method. Maybe
setHasAdditionalItems(boolean value) would be easier to understand.
Comment 7 Dusan Balek 2007-06-27 08:15:37 UTC
OK. I will change the name as proposed.
Comment 8 Dusan Balek 2007-06-27 08:26:36 UTC
Fixed.

Checking in editor/completion/src/org/netbeans/modules/editor/completion/CompletionImpl.java;
/cvs/editor/completion/src/org/netbeans/modules/editor/completion/CompletionImpl.java,v  <--  CompletionImpl.java
new revision: 1.72; previous revision: 1.71
done
Checking in editor/completion/src/org/netbeans/modules/editor/completion/CompletionResultSetImpl.java;
/cvs/editor/completion/src/org/netbeans/modules/editor/completion/CompletionResultSetImpl.java,v  <-- 
CompletionResultSetImpl.java
new revision: 1.9; previous revision: 1.8
done
Checking in editor/completion/manifest.mf;
/cvs/editor/completion/manifest.mf,v  <--  manifest.mf
new revision: 1.8; previous revision: 1.7
done
Checking in editor/completion/apichanges.xml;
/cvs/editor/completion/apichanges.xml,v  <--  apichanges.xml
new revision: 1.7; previous revision: 1.6
done
Checking in java/editor/src/org/netbeans/modules/editor/java/JavaCompletionProvider.java;
/cvs/java/editor/src/org/netbeans/modules/editor/java/JavaCompletionProvider.java,v  <--  JavaCompletionProvider.java
new revision: 1.121; previous revision: 1.120
done
Checking in editor/completion/src/org/netbeans/spi/editor/completion/CompletionResultSet.java;
/cvs/editor/completion/src/org/netbeans/spi/editor/completion/CompletionResultSet.java,v  <--  CompletionResultSet.java
new revision: 1.7; previous revision: 1.6
done
Comment 9 Max Sauer 2007-07-11 14:45:48 UTC
VERIFIED.
---
Product Version: NetBeans IDE Dev (Build 070711) J
ava: 1.6.0_02-ea; Java HotSpot(TM) Client VM 1.6.0_02-ea-b02 
System: Linux version 2.6.12-1.1390_FC4smp running on i386; 
UTF-8; en_US (nb) Userdir: /home/ms159439/.netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo